<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <groupId>com.kafka.workshop</groupId>
        <artifactId>kafa-workshop</artifactId>
        <version>1.0</version>
    </parent>
    <modelVersion>4.0.0</modelVersion>
    
    <artifactId>JAVA-API</artifactId>
    <packaging>pom</packaging>

    <modules>
        <module>javaapi-010-simple-producer</module>
        <module>javaapi-020-simple-consumer</module>
        <module>javaapi-030-sasl-producer</module>
        <module>javaapi-040-sasl-consumer</module>
        <module>javaapi-050-avro-producer</module>
        <module>javaapi-060-avro-consumer</module>
        <module>javaapi-070-avro-consumer-deserialization</module>
        <module>javaapi-080-retriable-consumer</module>
        <module>javaapi-090-exactly-once-producer-consumer</module>
    </modules>


    <dependencies>


        <!-- kafka -->
        <dependency>
            <groupId>org.apache.kafka</groupId>
            <artifactId>kafka-clients</artifactId>
            <version>${kafka.version}</version>
        </dependency>

        <dependency>
            <groupId>com.kafka.workshop</groupId>
            <artifactId>commons</artifactId>
            <version>1.0-SNAPSHOT</version>
            <scope>compile</scope>
        </dependency>

    </dependencies>
    
</project>
